Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::sanitize_fn Struct Reference
Core

## Public Member Functions
template<typename T >
constexpr meta::if_< detail::is_dangling< T >, dangling<>, T > | operator() (T &&t) const
template<typename T , typename U >
constexpr std::pair< result_t< T >, result_t< U > > | operator() (std::pair< T, U > &p) const
template<typename T , typename U >
constexpr std::pair< result_t< T >, result_t< U > > | operator() (std::pair< T, U > const &p) const
template<typename T , typename U >
constexpr std::pair< result_t< T >, result_t< U > > | operator() (std::pair< T, U > &&p) const
template<typename ... Ts>
constexpr std::tuple< result_t< Ts >... > | operator() (std::tuple< Ts... > &tup) const
template<typename ... Ts>
constexpr std::tuple< result_t< Ts >... > | operator() (std::tuple< Ts... > const &tup) const
template<typename ... Ts>
constexpr std::tuple< result_t< Ts >... > | operator() (std::tuple< Ts... > &&tup) const
template<typename Base , typename... Tags>
constexpr tagged< result_t< Base & >, Tags... > | operator() (tagged< Base, Tags... > &tup) const
template<typename Base , typename... Tags>
constexpr tagged< result_t< Base const & >, Tags... > | operator() (tagged< Base, Tags... > const &tup) const
template<typename Base , typename... Tags>
constexpr tagged< result_t< Base && >, Tags... > | operator() (tagged< Base, Tags... > &&tup) const